package com.bc_chat.bc_base.contract;

import com.zhaohaoting.framework.abs.contract.BaseContract;

import java.util.List;

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：上传图片
 */
public interface UpLoadPictureContract {

    interface Presenter {
        void upload(List<String> paths);
    }

    interface View extends BaseContract.BaseView {
        void uploadSuccess(List<String> paths);

        void uploadFailure(Exception e);
    }
}
